<?xml version="1.0" encoding="utf-8" ?>
<hibernate-mapping xmlns="urn:nhibernate-mapping-2.2" assembly="Domain" namespace="Domain">
  <class name="SysRole, Domain" table="tb_Sys_Roles">
    <id name="ID" column="ID" type="int" unsaved-value="0">
      <generator class="native" />
    </id>
    <property name="Name" column="Name" type="string"  />
    <bag name="Authorities" table="tb_Sys_RoleAuthorities" lazy="false">
      <key column="RoleID" />
      <many-to-many class="SysAuthority" column="AuthorityID" />
    </bag>
    <property name="Sort" column="Sort" type="int"  />
    <property name="Remark" column="Remark" type="string"  />
    <property name="ActiveIndicator" column="ActiveIndicator" type="bool"  />
    <property name="CreatedBy" column="CreatedBy" type="string"  />
    <property name="CreatedDate" column="CreatedDate" type="DateTime"  />
    <property name="ModifiedBy" column="ModifiedBy" type="string"  />
    <property name="ModifiedDate" column="ModifiedDate" type="DateTime"  />
    <property name="HotelID" column="HotelID" type="int"  />
    <many-to-one name="SysHotelGroup" column="SysHotelGroupID" not-found="ignore" cascade="none" />
  </class>
</hibernate-mapping>
